export namespace CONTEXT_SYMBOLS {
    let SECURITY_CONTEXT: string;
    let security_context: string;
    let securityContext: string;
    let FILTER_PARAMS: string;
    let FILTER_GROUP: string;
    let SQL_UTILS: string;
}
export const CURRENT_CUBE_CONSTANTS: string[];
export class CubeSymbols {
    constructor(evaluateViews: any);
    symbols: {};
    builtCubes: {};
    cubeDefinitions: {};
    funcArgumentsValues: {};
    cubeList: any[];
    evaluateViews: any;
    compile(cubes: any, errorReporter: any): void;
    getCubeDefinition(cubeName: any): any;
    createCube(cubeDefinition: any): any;
    transform(cubeName: any, errorReporter: any, splitViews: any): any;
    /**
     * @private
     */
    private camelCaseTypes;
    transformPreAggregations(preAggregations: any): void;
    transformPreAggregationIndexes(indexes: any): void;
    /**
     * @protected
     */
    protected prepareIncludes(cube: any, errorReporter: any, splitViews: any): void;
    applyIncludeMembers(includeMembers: any, cube: any, type: any, errorReporter: any): void;
    /**
     * @protected
     */
    protected membersFromCubes(parentCube: any, cubes: any, type: any, errorReporter: any, splitViews: any, memberSets: any): any[];
    diffByMember(includes: any, excludes: any): any;
    membersFromIncludeExclude(referencesFn: any, cubeName: any, type: any): any[];
    /**
     * @protected
     */
    protected getResolvedMember(type: any, cubeName: any, memberName: any): any;
    /**
     * @protected
     */
    protected generateIncludeMembers(members: any, cubeName: any, type: any): any;
    /**
     * This method is mainly used for evaluating RLS conditions and filters.
     * It allows referencing security_context (lowecase) in dynamic conditions or filter values.
     *
     * It currently does not support async calls because inner resolveSymbol and
     * resolveSymbolsCall are sync. Async support may be added later with deeper
     * refactoring.
     */
    evaluateContextFunction(cube: any, contextFn: any, context?: {}): any;
    evaluateReferences(cube: any, referencesFn: any, options?: {}): any;
    pathFromArray(array: any): any;
    resolveSymbolsCall(func: any, nameResolver: any, context: any): any;
    resolveSymbolsCallContext: any;
    withSymbolsCallContext(func: any, context: any): any;
    funcArguments(func: any): any;
    joinHints(): any;
    resolveSymbolsCallDeps(cubeName: any, sql: any): any[];
    resolveSymbolsCallDeps2(cubeName: any, sql: any): any[];
    depsContextSymbols(): any;
    filtersProxyDep(): {};
    filterGroupFunctionDep(): (...filterParamArgs: any[]) => string;
    resolveSymbol(cubeName: any, name: any): any;
    cubeReferenceProxy(cubeName: any, joinHints: any, refProperty: any): any;
    /**
     * Tries to resolve Granularity object.
     * For predefined granularity it constructs it on the fly.
     * @param {string|string[]} path
     * @param [refCube] Optional cube object to operate on
     */
    resolveGranularity(path: string | string[], refCube?: any): any;
    cubeDependenciesProxy(parentIndex: any, cubeName: any): any;
    isCurrentCube(name: any): boolean;
}
//# sourceMappingURL=CubeSymbols.d.ts.map